org.eclipse.jgit.errors

## Class LargeObjectException.ExceedsByteArrayLimit

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.errors.LargeObjectException
        - - org.eclipse.jgit.errors.LargeObjectException.ExceedsByteArrayLimit

All Implemented Interfaces:
  Serializable

Enclosing class:
  LargeObjectException

    public static class LargeObjectException.ExceedsByteArrayLimit
    extends LargeObjectException

Object size exceeds JVM limit of 2 GiB per byte array.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.errors.LargeObjectException

`LargeObjectException.ExceedsByteArrayLimit, LargeObjectException.ExceedsLimit, LargeObjectException.OutOfMemory`

### Constructor Summary

Constructors
Constructor and Description
`LargeObjectException.ExceedsByteArrayLimit()`

### Method Summary

Methods
`String` `getMessage()`

### Methods inherited from class org.eclipse.jgit.errors.LargeObjectException

`getObjectId, getObjectName, setObjectId`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LargeObjectException.ExceedsByteArrayLimit

    public LargeObjectException.ExceedsByteArrayLimit()

### Method Detail

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `LargeObjectException`